<div class="container">
    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Mi Información</h3>
        <button type="button" class="btn btn-danger" (click)="logout()">Logout</button>
      </div>
      
      <table class="table table-striped table-hover">
        <thead>
          <tr>
            <th style="text-align: center; vertical-align: middle;" scope="col">Nombre</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Apellidos</th>
            <th style="text-align: center; vertical-align: middle;" scope="col">Número de Colegiado</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td style="text-align: center; vertical-align: middle;">{{medico?.nombre}}</td>
            <td style="text-align: center; vertical-align: middle;">{{medico?.apellidos}}</td>
            <td style="text-align: center; vertical-align: middle;">{{medico?.numColegiado}}</td>
            
          </tr>
        </tbody>
      </table>
    </div>

    <hr class="my-4">

    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Mis Citas</h3>
      </div>

      <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th style="text-align: center; vertical-align: middle;" scope="col">Paciente</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Motivo Cita</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Fecha</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Diagnóstico</th>
                <th style="text-align: center; vertical-align: middle;" scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let c of medico.citas">
                <td style="text-align: center; vertical-align: middle;">{{c.pacienteId}}</td>
                <td style="text-align: center; vertical-align: middle;">{{c.motivoCita}}</td>
                <td style="text-align: center; vertical-align: middle;">{{c.fechaHora | date : "dd/MM/yyyy HH:mm:ss"}}</td>
                <td style="text-align: center; vertical-align: middle;">{{c.diagnosticoId}}</td>
                <td style="text-align: center; vertical-align: middle;">
                    <button class="btn btn-outline-secondary" (click)="updateDiagnostico(c.diagnosticoId, c)">Modificar Diagnóstico</button>
                </td>
            </tr>
        </tbody>
    </table>
    
      
    </div>

    <hr class="my-4">
    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Mis Pacientes</h3>
      </div>

      <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th style="text-align: center; vertical-align: middle;" scope="col">Nombre</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">Apellidos</th>
                <th style="text-align: center; vertical-align: middle;" scope="col">NSS</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let p of medico.pacientes">
                <td style="text-align: center; vertical-align: middle;">{{p.nombre}}</td>
                <td style="text-align: center; vertical-align: middle;">{{p.apellidos}}</td>
                <td style="text-align: center; vertical-align: middle;">{{p.nss}}</td>
            </tr>
        </tbody>
    </table>
    
      
    </div>


    
</div>